Skip to content
Start here

List Custom Origin Trust Store Details

client.ACM.CustomTrustStore.List(ctx, params) (*V4PagePaginationArray[CustomTrustStore], error)
GET/zones/{zone_id}/acm/custom_trust_store

Get Custom Origin Trust Store for a Zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates WriteSSL and Certificates Read
ParametersExpand Collapse
params CustomTrustStoreListParams
ZoneID param.Field[string]

Path param: Identifier.

maxLength32
Limit param.Field[int64]optional

Query param: Limit to the number of records returned.

Offset param.Field[int64]optional

Query param: Offset the results

Page param.Field[float64]optional

Query param: Page number of paginated results.

minimum1
PerPage param.Field[float64]optional

Query param: Number of records per page.

maximum50
minimum5
ReturnsExpand Collapse
type CustomTrustStore struct{…}
ID string

Identifier.

maxLength32
Certificate string

The zone's SSL certificate or certificate and the intermediate(s).

ExpiresOn Time

When the certificate expires.

formatdate-time
Issuer string

The certificate authority that issued the certificate.

Signature string

The type of hash used for the certificate.

Status CustomTrustStoreStatus

Status of the zone's custom SSL.

One of the following:
const CustomTrustStoreStatusInitializing CustomTrustStoreStatus = "initializing"
const CustomTrustStoreStatusPendingDeployment CustomTrustStoreStatus = "pending_deployment"
const CustomTrustStoreStatusActive CustomTrustStoreStatus = "active"
const CustomTrustStoreStatusPendingDeletion CustomTrustStoreStatus = "pending_deletion"
const CustomTrustStoreStatusDeleted CustomTrustStoreStatus = "deleted"
const CustomTrustStoreStatusExpired CustomTrustStoreStatus = "expired"
UpdatedAt Time

When the certificate was last modified.

formatdate-time
UploadedOn Time

When the certificate was uploaded to Cloudflare.

formatdate-time

List Custom Origin Trust Store Details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/acm"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.ACM.CustomTrustStore.List(context.TODO(), acm.CustomTrustStoreListParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "certificate": "-----BEGIN CERTIFICATE-----\nMIIDdjCCAl6gAwIBAgIJAPnMg0Fs+/B0MA0GCSqGSIb3DQEBCwUAMFsx...\n-----END CERTIFICATE-----\n",
      "expires_on": "2122-10-29T16:59:47Z",
      "issuer": "GlobalSign",
      "signature": "SHA256WithRSA",
      "status": "active",
      "updated_at": "2014-01-01T05:20:00Z",
      "uploaded_on": "2014-01-01T05:20:00Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "certificate": "-----BEGIN CERTIFICATE-----\nMIIDdjCCAl6gAwIBAgIJAPnMg0Fs+/B0MA0GCSqGSIb3DQEBCwUAMFsx...\n-----END CERTIFICATE-----\n",
      "expires_on": "2122-10-29T16:59:47Z",
      "issuer": "GlobalSign",
      "signature": "SHA256WithRSA",
      "status": "active",
      "updated_at": "2014-01-01T05:20:00Z",
      "uploaded_on": "2014-01-01T05:20:00Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}